SDL_WM_SetIcon(3)

NAME
SDL_WM_SetIcon - Sets the icon for the display window.

SYNOPSIS

#include "SDL.h"

void SDL_WM_SetIcon(SDL_Surface *icon, Uint8 *mask);

DESCRIPTION

Sets the icon for the display window. Win32 icons must be 32x32.

This function must be called before the first call to SDL_SetVideoMode.

It takes an icon surface, and a mask in MSB format.

If mask is NULL, the entire icon surface will be used as the icon.

EXAMPLE

SDL_WM_SetIcon(SDL_LoadBMP("icon.bmp"), NULL);

SEE ALSO

SDL_SetVideoMode, SDL_WM_SetCaption